use super::*;

pub struct AudioManager {
    channel:Sender<Query>,
}

impl AudioManager {

}

impl Subsystem for AudioManager {
    fn start(_supervisor:Option<Sender<Query>>) -> Result<Sender<Query>, Error>
    {
        Err(Error::new())
    }
}

impl From<Sender<Query>> for AudioManager {
    fn from(channel:Sender<Query>) -> Self {
        Self { channel }
    }
}
